{ config, lib, ... }:
{
  boot = {
    supportedFilesystems = {
      ntfs = config.system.desktop.enable;
      zfs = config.system.server.enable;
    };
    swraid = {
      enable = config.system.server.enable;
      mdadmConf = "MAILADDR contact@nixfox.ca";
    };
  };

  services = lib.mkIf config.environment.persistence."/persist".enable {
    btrfs.autoScrub.enable = true;
    fstrim.enable = true;
  };
}
