{ config, ... }:
{
  imports = [
    ./nginx
    ./liquidsoap
  ];

  services.icecast = {
    listen.port = 73;
    hostname = "radio.nixfox.ca";
    admin = {
      user = config.sysusers.main;
      password = config.secrets.cast.adminPass;
    };
    extraConf = ''
      <authentication>
        <source-password>${config.secrets.cast.sourcePass}</source-password>
      </authentication>
      <location>Canada</location>
      <admin>contact@nixfox.ca</admin>
    '';
  };
}
