{ config, lib, pkgs, ... }:
{
  services = {
    minecraft-servers.servers.blockworld = {
      autoStart = false;
      package = pkgs.paperServers.paper-1_21_1;
      jvmOpts = "-Xmx3072M";
      serverProperties = config.services.minecraft-servers.common.serverProperties // {
        difficulty = 2;
        server-port = 30012;
        motd = "\\u00A7fArchival \\u00A7l\\u00A7n\\u00A7cBloxelcom \\u00A7r\\u00A7fMinecraft server.";
      };
      whitelist = config.services.minecraft-servers.common.whitelist;
      symlinks = config.services.minecraft-servers.common.paperSymlinks;
      files = config.services.minecraft-servers.common.configFiles;
    };
    cloudflare-dyndns.domains = lib.mkIf config.services.minecraft-servers.servers.blockworld.enable [ "bloxel.nixfox.ca" ];
  };
}
