{ config, lib, pkgs, ... }:
{
  services = {
    minecraft-servers.servers.cornworld = {
      package = pkgs.paperServers.paper-1_21_4;
      jvmOpts = "-Xmx2000M";
      serverProperties = config.services.minecraft-servers.common.serverProperties // {
        difficulty = 3;
        server-port = 30016;
        motd = "\\u00a7e\\u00a7lFreecorn Sever";
      };
      whitelist = config.services.minecraft-servers.common.whitelist;
      symlinks = config.services.minecraft-servers.common.paperSymlinks;
      files = config.services.minecraft-servers.common.configFiles;
    };
    cloudflare-dyndns.domains = lib.mkIf config.services.minecraft-servers.servers.cornworld.enable [ "corn.nixfox.ca" ];
  };
}
