{ config, lib, pkgs, ... }:
{
  services = {
    minecraft-servers.servers.dewdemolisher = {
      package = pkgs.paperServers.paper-1_21_1;
      jvmOpts = "-Xmx2000M";
      serverProperties = config.services.minecraft-servers.common.serverProperties // {
        difficulty = 2;
        server-port = 30010;
        motd = "\\u00A7l\\u00A7aDew Demolisher is here.";
      };
      whitelist = config.services.minecraft-servers.common.whitelist;
      symlinks = config.services.minecraft-servers.common.paperSymlinks;
      files = config.services.minecraft-servers.common.configFiles;
    };
    cloudflare-dyndns.domains = lib.mkIf config.services.minecraft-servers.servers.dewdemolisher.enable [ "dew.nixfox.ca" ];
  };
}
